# Формирование строки, состоящей из заглавных символов, цифр и подчёркиваний
function(myx_cmake_canonical_string in_string out_string)
  string(TOUPPER ${in_string} _arg_uppercase)
  string(REGEX REPLACE "[ -]" "_" _arg_fixed ${_arg_uppercase})
  set(${out_string}
      ${_arg_fixed}
      PARENT_SCOPE)
endfunction()

# Добавление общего префикса ко всем переменным в списке
function(myx_cmake_list_transform_prepend var prefix)
  set(temp "")
  foreach(filename ${${var}})
    list(APPEND temp "${prefix}${filename}")
  endforeach()
  set(${var}
      "${temp}"
      PARENT_SCOPE)
endfunction()
